/home/travis/build/boostorg/boost/boost/geometry/algorithms/perimeter.hpp File Reference

## Classes

struct | boost::geometry::resolve_strategy::perimeter
struct | boost::geometry::resolve_variant::perimeter< Geometry >
struct | boost::geometry::resolve_variant::perimeter< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::perimeter< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_strategy
namespace | boost::geometry::resolve_variant

## Functions

template<typename Geometry >
default_length_result < Geometry >::type | boost::geometry::perimeter (Geometry const &geometry)
| Calculates the perimeter of a geometry.
template<typename Geometry , typename Strategy >
default_length_result < Geometry >::type | boost::geometry::perimeter (Geometry const &geometry, Strategy const &strategy)
| Calculates the perimeter of a geometry using the specified strategy.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK